#!/usr/bin/perl

# Getweather script for oer by Tero Nybacka <sivis@sivis.org>
# Rename to getweather.pl, oer version 1.0-58 or newer required

# Fixed the script so city names with spaces are splitted in two arguments

# When used as "ext saa" show this city's weather info

$default_city = "Tampere";

open(fd, "lynx -nolist -dump http://www.tiehallinto.fi/alk/tiesaa/tiesaa_kokomaa.html | ") or die("failure while getting weather information");

while(<fd>)
{
  if(/\s*Tie (\d*); (.*)\s+(\d*):(\d*)\s+(\d*).(\d*)\s+(\d*).(\d*)\s+(\S*)\s+(\S*)/) {
    ($city, $road) = split(/, /, $2, 2);
    $after = "Ilma: $5.$6 C Tie: $7.$8 C (Sade: $9, Keli: $10)";
    $before = "Kello $3:$4";
    $road =~ s/\s+$//;
    $city =~ s/\s+$//;
    if(lc($default_city) eq lc($city))
    {
      $flag = 1;
    }      
    ($city1, $city2) = split(/ /, $city, 2);
    $rest = "$before $city ($road) $after";
    print "saa::".$city1."::".$city2."::::::".$rest."\n";
    if($flag)
    {
      print "saa::::::::::".$rest."\n";
      $flag = 0;
    }
  }
}
